libgdamm: Gnome::Gda::TransactionStatus Class Reference

libgdamm 4.99.11

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gnome::Gda::TransactionStatus Class Reference

Keeps track of the transactional status of a connection. More...

Inheritance diagram for Gnome::Gda::TransactionStatus:
[legend]
Collaboration diagram for Gnome::Gda::TransactionStatus:
[legend]

## Public Member Functions
| TransactionStatus (TransactionStatus&& src) noexcept
TransactionStatus& | operator= (TransactionStatus&& src) noexcept
virtual | ~TransactionStatus () noexcept
GdaTransactionStatus* | gobj ()
| Provides access to the underlying C GObject. More...
const GdaTransactionStatus* | gobj () const
| Provides access to the underlying C GObject. More...
GdaTransactionStatus* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
TransactionIsolation | get_get_isolation_level () const
Glib::ustring | get_get_name () const
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable ()
| trackable (const trackable &src)
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< TransactionStatus > | create (const Glib::ustring& name)

## Protected Member Functions
| TransactionStatus (const Glib::ustring& name=Glib::ustring())
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
virtual | ~Object () noexcept
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gnome::Gda::TransactionStatus > | wrap (GdaTransactionStatus* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify) (gpointer data)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

Keeps track of the transactional status of a connection.

On any connection (as a Connection object), if the database provider used by the connection supports it, transactions may be started, committed or rolledback, or savepoints added, removed or rolledback. These operations can be performed using libgda's API (such as Connection::begin_transaction()), or directly using some SQL on the connection (usually a "BEGIN;" command). The TransactionStatus's aim is to make it easy to keep track of all the commands which have been issued on a connection regarding transactions.

One TransactionStatus object is automatically attached to a Connection when a transaction is started, and is destroyed when the transaction is finished. This object can be fetched using Connection::get_transaction_status() (beware that it should then not be modified).

## Constructor & Destructor Documentation

Gnome::Gda::TransactionStatus::TransactionStatus | ( | TransactionStatus&& | src | ) |
| noexcept

virtual Gnome::Gda::TransactionStatus::~TransactionStatus | ( |  | ) |
| virtualnoexcept

Gnome::Gda::TransactionStatus::TransactionStatus | ( | const Glib::ustring & | name = `Glib::ustring()` | ) |
| explicitprotected

## Member Function Documentation

static Glib::RefPtr<TransactionStatus> Gnome::Gda::TransactionStatus::create | ( | const Glib::ustring & | name | ) |
| static

TransactionIsolation Gnome::Gda::TransactionStatus::get_get_isolation_level | ( |  | ) | const

Glib::ustring Gnome::Gda::TransactionStatus::get_get_name | ( |  | ) | const

static GType Gnome::Gda::TransactionStatus::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GdaTransactionStatus* Gnome::Gda::TransactionStatus::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GdaTransactionStatus* Gnome::Gda::TransactionStatus::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GdaTransactionStatus* Gnome::Gda::TransactionStatus::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

TransactionStatus& Gnome::Gda::TransactionStatus::operator= | ( | TransactionStatus&& | src | ) |
| noexcept

## Friends And Related Function Documentation

Glib::RefPtr< Gnome::Gda::TransactionStatus > wrap | ( | GdaTransactionStatus * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgdamm/transactionstatus.h